package org.jboss.crypto;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.security.Provider;

public class JBossSXProvider extends Provider {
  public static final String PROVIDER_NAME = "JBossSX";
  
  public static final String PROVIDER_INFO = "JBossSX Provier Version 1.0";
  
  public static final double PROVIDER_VERSION = 1.0D;
  
  public JBossSXProvider() {
    this("JBossSX", 1.0D, "JBossSX Provier Version 1.0");
  }
  
  protected JBossSXProvider(String name, double version, String info) {
    super(name, version, info);
    put("MessageDigest.SHA_Interleave", "org.jboss.crypto.digest.SHAInterleave");
    put("Alg.Alias.MessageDigest.SHA-Interleave", "SHA_Interleave");
    put("Alg.Alias.MessageDigest.SHA-SRP", "SHA_Interleave");
    put("MessageDigest.SHA_ReverseInterleave", "org.jboss.crypto.digest.SHAReverseInterleave");
    put("Alg.Alias.MessageDigest.SHA-SRP-Reverse", "SHA_ReverseInterleave");
  }
}
